wxGlade: A GUI builder for wxPython/wxWidgets
=============================================

Version: 0.9.6
License: MIT (see LICENSE.txt)

THIS PROGRAM COMES WITH NO WARRANTY


Requirements
------------

 - Python (http://www.python.org) 2.7, 3.4 or later
 - wxPython (http://www.wxpython.org) >= 2.8
   (wxPython Phoenix, i.e. release >=4.0.0, is supported)

If you have a choice, you should prefer wxPython Phoenix running on Python 3.x.


Installation
------------

To start the program, enter ``python wxglade.py`` in your shell or use
whatever is required to start a python application on your platform.
If you want to build a GUI for wxPython Classic or Phoenix:
Start wxGlade in your target version - if it runs under Phoenix, it will
create Phoenix code.


Documentation
-------------

The documentation is at docs\html\index.html and includes a tutorial.
You can view it from the help menu as well.

The target audience includes people who have not yet been using wxPython
or wxWidgets before.


A snapshot of the documentation including tutorial can be found here:
http://wxglade.sourceforge.net/docs/index.html
This one is not always up to date, though.


Issues / Bugs
-------------

For any kind of question, there's a mailing list:
 https://lists.sourceforge.net/lists/listinfo/wxglade-general

If you observe a bug, please check the bug tracker for current open bugs:
 https://github.com/wxGlade/wxGlade/issues

For new bugs, please open a bug report in the tracker.
You have to register and log in at GitHub to file a bug report.

Alternatively you can send the bug report to the wxGlade mailing list.
Keep in mind that you need a subscription for sending emails to this
mailing list.


Please include the following information:

- What did you? May you want to include a screenshot.
- What do you want to happen?
- What actually happened?
- Provide a short example to reproduce the issue.
- Maybe, include the internal error log file ``wxglade.log``



Have fun!
Dietmar Schwertberger
